<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Positions</title>
    <style>
        .container {
            border: 1px solid black;
            width: 200px;
            height: 200px;
            color: red;
        }

        .container .container {
            background-color: rgba(0, 0, 255, 0.301);
            width: 100px;
            height: 100px;
            color: white;
        }

        .absolute {
            position: absolute;
        }

        .fixed {
            position: fixed;
        }

        .relative {
            position: relative;
        }

        main {
            display: flex;
            flex-wrap: wrap
        }

        section {
            width: 400px;
        }

        .bottom {
            position: absolute;
            top: 120vh;
        }
    </style>
</head>

<body>
    <main>
        <section>
            <div class="container">
                parent
                <div class="container">enfant</div>
            </div>
            <p>Voici le container de test</p>
        </section>

        <section>
            <form>
                <fieldset>
                    <h3>Propriétés du parent</h3>
                    <p>
                        <label for="parent-pos">Position</label>
                        <select id="parent-pos">
                            <option>static</option>
                            <option>fixed</option>
                            <option>absolute</option>
                            <option>relative</option>
                        </select>
                    </p>
                    <p>
                        <label for="parent-topleft">top et left = 200px</label>
                        <input type="checkbox" id="parent-topleft">
                    </p>
                    <p>
                        <label for="parent-margin">margin = 30px</label>
                        <input type="checkbox" id="parent-margin">
                    </p>
                    <p>
                        <label for="parent-padding">padding = 30px</label>
                        <input type="checkbox" id="parent-padding">
                    </p>
                </fieldset>
                <fieldset>
                    <h3>Propriétés de l'enfant</h3>
                    <p>
                        <label for="child-pos">Position</label>
                        <select id="child-pos">
                            <option>static</option>
                            <option>fixed</option>
                            <option>absolute</option>
                            <option>relative</option>
                        </select>
                    </p>
                    <p>
                        <label for="child-topleft">top et left = 50px</label>
                        <input type="checkbox" id="child-topleft">
                    </p>
                    <p>
                        <label for="child-margin">margin = 10px</label>
                        <input type="checkbox" id="child-margin">
                    </p>
                    <p>
                        <label for="child-padding">padding = 10px</label>
                        <input type="checkbox" id="child-padding">
                    </p>
                </fieldset>
            </form>
        </section>
    </main>
    <p class="bottom">Hello there</p>

    <script>
        const parent = document.querySelector('.container');
        const child = document.querySelector('.container .container');

        document.querySelector('#parent-pos').addEventListener('change', function () {
            parent.style.position = this.value;
        });
        document.querySelector('#parent-topleft').addEventListener('change', function () {
            if (this.checked) {
                parent.style.top = '200px';
                parent.style.left = '200px';
            } else {
                parent.style.top = '';
                parent.style.left = '';
            }
        });
        document.querySelector('#child-pos').addEventListener('change', function () {
            child.style.position = this.value;
        });
        document.querySelector('#child-topleft').addEventListener('change', function () {
            if (this.checked) {
                child.style.top = '50px';
                child.style.left = '50px';
            } else {
                child.style.top = '';
                child.style.left = '';
            }
        });

        document.querySelector('#child-margin').addEventListener('change', function () {
            if (this.checked) {
                child.style.margin = '10px';
            } else {
                child.style.margin = '';
            }
        });

        document.querySelector('#parent-margin').addEventListener('change', function () {
            if (this.checked) {
                parent.style.margin = '30px';
            } else {
                parent.style.margin = '';
            }
        });
        document.querySelector('#child-padding').addEventListener('change', function () {
            if (this.checked) {
                child.style.padding = '10px';
            } else {
                child.style.padding = '';
            }
        });

        document.querySelector('#parent-padding').addEventListener('change', function () {
            if (this.checked) {
                parent.style.padding = '30px';
            } else {
                parent.style.padding = '';
            }
        });


    </script>
</body>

</html>